Bug 908069 - [RFE] Add GOST crypto algorithm support in NSS
Summary: [RFE] Add GOST crypto algorithm support in NSS
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: nss
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kai Engert (:kaie) (inactive account)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-05 19:09 UTC by Mikhail
Modified: 2016-11-18 13:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-18 13:09:04 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 608725 -- ASSIGNED Add GOST cryptoalgorithms to NSS and Thunderbird 2020-01-13 21:33:16 UTC

Description Mikhail 2013-02-05 19:09:25 UTC
Sorry, I don't found place where I can ask this question.
Why currently CURL builded with NSS crypto provider instead openssl? For me openssl much better because openssl support much more crypto algorithms (for example GOST) and have plugins architecture for extending.

Comment 1 Paul Howarth 2013-02-05 19:42:38 UTC
Some references from the time cURL switched to NSS from OpenSSL:

http://fedoraproject.org/wiki/FedoraCryptoConsolidation
http://fedoraproject.org/wiki/CryptoConsolidationEval

Comment 2 Kamil Dudka 2013-02-06 12:33:52 UTC
We intentionally build libcurl against nss.  The lack of GOST crypto algorithms needs to be addressed in nss.  There are some upstream bugs for adding the GOST crypto algorithms to nss:

https://bugzilla.mozilla.org/show_bug.cgi?id=518787
https://bugzilla.mozilla.org/show_bug.cgi?id=608725

Comment 3 Mikhail 2013-02-06 14:15:16 UTC
You can use follow command for test GOST support in curl
$ curl -F 'test=foo' https://icrs.nbki.ru/products/B2BRequestServlet

Comment 4 Fedora Admin XMLRPC Client 2016-08-15 15:52:33 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Kai Engert (:kaie) (inactive account) 2016-11-18 13:09:04 UTC
Requests for additional ciphers must be submitted to the upstream Mozilla NSS project at bugzilla.mozilla.org

I see you already found
  https://bugzilla.mozilla.org/show_bug.cgi?id=608725
where you commented, too.


Note You need to log in before you can comment on or make changes to this bug.